/*
 *+------------------------------------------------------------------------+
 *| Licensed Materials - Property of IBM                                   |
 *| (C) Copyright IBM Corp. 2012.  All Rights Reserved.              |
 *|                                                                        |
 *| US Government Users Restricted Rights - Use, duplication or disclosure |
 *| restricted by GSA ADP Schedule Contract with IBM Corp.                 |
 *+------------------------------------------------------------------------+
 */
command {
   
   name "list"
   description "List commands added to the script."
	 contexts "create", "edit"
	 
	 instance {	    	    
	    
	    invoke {
	    
	       def list = com.ibm.edp.rfe.model.ScriptList.getInstance()
   	       def script = list.getCurrentScript()

             
	         script.getCommands().each {
	            sprintln 'command \n\t' + it.getName()
				
				it.getPackages().each{
				   sprintln '\t' + it.getIdentity().getId()
				   sprintln '\tversion ' + it.getIdentity().getVersion() 
				}				
	            sprintln '\tinstallLocation ' + it.getGroup().getProfile().getInstallLocation()
	         }          
		  }
	 }	 
	 
}